using LocalEndpoint;
using Models;
using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Endpoint
{
    public interface IRecipesService
    {
        public ImmutableList<RecipeInfo> PopularRecipes();

        public Recipe GetRecipe(RecipeInfo info);

        public IAccountOwnedRecipes GetRecipesOf(Account account);
        public IAccountRecipesPreferences GetPreferencesOf(Account account);


    }
}
